import { z } from "../../lib";
declare const UserStruct: z.ZodObject<{
    id: z.ZodNullable<z.ZodString>;
    uid: z.ZodString;
    name: z.ZodNullable<z.ZodString>;
    age: z.ZodNullable<z.ZodNumber>;
    randomKey: z.ZodNullable<z.ZodString>;
}, "strip", z.ZodTypeAny, {
    name: string | null;
    id: string | null;
    uid: string;
    age: number | null;
    randomKey: string | null;
}, {
    name: string | null;
    id: string | null;
    uid: string;
    age: number | null;
    randomKey: string | null;
}>;
declare const GetUserByIdRequest: z.ZodObject<{
    uid: z.ZodNullable<z.ZodString>;
}, "strip", z.ZodTypeAny, {
    uid: string | null;
}, {
    uid: string | null;
}>;
declare const GetUserByIdResponse: z.ZodObject<{
    user: z.ZodObject<{
        id: z.ZodNullable<z.ZodString>;
        uid: z.ZodString;
        name: z.ZodNullable<z.ZodString>;
        age: z.ZodNullable<z.ZodNumber>;
        randomKey: z.ZodNullable<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        name: string | null;
        id: string | null;
        uid: string;
        age: number | null;
        randomKey: string | null;
    }, {
        name: string | null;
        id: string | null;
        uid: string;
        age: number | null;
        randomKey: string | null;
    }>;
    message: z.ZodNullable<z.ZodString>;
}, "strip", z.ZodTypeAny, {
    message: string | null;
    user: {
        name: string | null;
        id: string | null;
        uid: string;
        age: number | null;
        randomKey: string | null;
    };
}, {
    message: string | null;
    user: {
        name: string | null;
        id: string | null;
        uid: string;
        age: number | null;
        randomKey: string | null;
    };
}>;
declare const ListUsersRequest: z.ZodObject<{
    count: z.ZodDefault<z.ZodNumber>;
    limit: z.ZodDefault<z.ZodNumber>;
}, "strip", z.ZodTypeAny, {
    count: number;
    limit: number;
}, {
    count?: number | undefined;
    limit?: number | undefined;
}>;
declare const ListUserResponse: z.ZodObject<{
    users: z.ZodArray<z.ZodObject<{
        id: z.ZodNullable<z.ZodString>;
        uid: z.ZodString;
        name: z.ZodNullable<z.ZodString>;
        age: z.ZodNullable<z.ZodNumber>;
        randomKey: z.ZodNullable<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        name: string | null;
        id: string | null;
        uid: string;
        age: number | null;
        randomKey: string | null;
    }, {
        name: string | null;
        id: string | null;
        uid: string;
        age: number | null;
        randomKey: string | null;
    }>, "many">;
}, "strip", z.ZodTypeAny, {
    users: {
        name: string | null;
        id: string | null;
        uid: string;
        age: number | null;
        randomKey: string | null;
    }[];
}, {
    users: {
        name: string | null;
        id: string | null;
        uid: string;
        age: number | null;
        randomKey: string | null;
    }[];
}>;
declare const CreateUserReq: z.ZodObject<{
    uid: z.ZodString;
    name: z.ZodOptional<z.ZodNullable<z.ZodString>>;
    age: z.ZodNullable<z.ZodNumber>;
    operator: z.ZodOptional<z.ZodString>;
}, "strip", z.ZodTypeAny, {
    uid: string;
    age: number | null;
    name?: string | null | undefined;
    operator?: string | undefined;
}, {
    uid: string;
    age: number | null;
    name?: string | null | undefined;
    operator?: string | undefined;
}>;
declare const CreateUserRes: z.ZodObject<{
    id: z.ZodNullable<z.ZodString>;
    message: z.ZodNullable<z.ZodString>;
}, "strip", z.ZodTypeAny, {
    id: string | null;
    message: string | null;
}, {
    id: string | null;
    message: string | null;
}>;
declare const UpdateUserReq: z.ZodObject<{
    id: z.ZodString;
    name: z.ZodNullable<z.ZodString>;
    operator: z.ZodString;
}, "strip", z.ZodTypeAny, {
    name: string | null;
    id: string;
    operator: string;
}, {
    name: string | null;
    id: string;
    operator: string;
}>;
declare const UpdateUserRes: z.ZodObject<{
    id: z.ZodNullable<z.ZodString>;
    message: z.ZodNullable<z.ZodString>;
}, "strip", z.ZodTypeAny, {
    id: string | null;
    message: string | null;
}, {
    id: string | null;
    message: string | null;
}>;
export { UserStruct, GetUserByIdRequest, GetUserByIdResponse, CreateUserReq, UpdateUserReq, CreateUserRes, UpdateUserRes, ListUserResponse, ListUsersRequest, };
export type IGetUserByIdResponse = z.infer<typeof GetUserByIdResponse>;
export type ICreateUserRes = z.infer<typeof CreateUserRes>;
export type ICreateUserReq = z.infer<typeof CreateUserReq>;
export type IListUserRes = z.infer<typeof ListUserResponse>;
export type IListUserReq = z.infer<typeof ListUsersRequest>;
