import { OpenAPIObjectConfig } from "@asteasolutions/zod-to-openapi/dist/v3.0/openapi-generator";
import Router, { RouterOptions } from "@koa/router";
import { OpenAPIRegistry, RouteConfig } from "@asteasolutions/zod-to-openapi";
import { Middleware } from "koa";
import { ZodTypeAny } from "zod";
export interface ItemMeta {
    bodySchema?: ZodTypeAny;
    responsesSchema?: ZodTypeAny;
    routeConfig: RouteConfig;
    middlewares?: Middleware[];
}
export interface SwaggerRouterConfig {
    swaggerJsonEndpoint?: string;
    swaggerHtmlEndpoint?: string;
    doValidation?: boolean;
    validateResponse?: boolean;
    validateRequest?: boolean;
    prefix?: string;
    spec?: Partial<OpenAPIObjectConfig>;
}
declare class SwaggerRouter<StateT = any, CustomT = {}> extends Router<StateT, CustomT> {
    config: SwaggerRouterConfig;
    registry: OpenAPIRegistry;
    constructor(config?: SwaggerRouterConfig, opts?: RouterOptions);
    swagger(): void;
    applyRoute(SwaggerClass: any): this;
}
export { SwaggerRouter };
